Packages - Bug #1502

[love] X BadWindow
2017-10-16 12:48 AM - cequella

Status: not-a-bug % Done: 0%
Priority: bug
Assignee:

Category:

Description

$ love

X Error of failed request: BadWindow (invalid Window parameter)
Major opcode of failed request: 4 (X_DestroyWindow)

Resource id in failed request: 0x0

Serial number of failed request: 154

Current serial number in output stream: 155

'love' is a command from the l6ve2d engine package (love package) and it's working before.

History

#1 - 2017-10-16 05:15 AM - bill-auger
- Subject changed from X BadWindow to [love] X BadWindow

i could not confirm this - the program launched it's pretty GUI and exited cleanly with no output to console - but fwiw i have not upgraded this system
in about 3 weeks

cequella - could you run:

sudo pacman —-Syu

then try again

#2 - 2017-11-05 06:07 PM - isacdaavid
i see the error on an updated system.

since we don't manage community/love, the problem is either also present in Arch systems or originates in one of the dependencies that we do touch.
these are:

$ pactree -su love | expac -S '$r\t%n' - | grep "libre
libre linux-libre-api-headers

libre filesystem

libre openexr

libre mesa

we need to investigate these

#3 - 2018-01-18 06:50 AM - oaken-source

- Status changed from open to not-a-bug

looks like this was fixed by upstream - it is no longer reproducable on an up-to-date system.
